Neatline widget upgrade trouble

I’ve recently upgraded to 2.8, and I’m also trying to upgrade two associated plugins, Neatline Time and Neatline Features.
I’ve tried deleting the plugins and re-uploading them, as i did have some connection trouble the first time I ftp’d the folders up.
I’ve checked the permissions of the folders too.
The error I get on Neatline Features is:
**Fatal error** : Uncaught ArgumentCountError: Too few arguments to function NeatlineFeaturesPlugin::hookUpgrade(), 1 passed in /home/devwyndhistory/public_html/application/libraries/Omeka/Plugin/Broker.php on line 142 and exactly 2 expected in /home/devwyndhistory/public_html/plugins/NeatlineFeatures/NeatlineFeaturesPlugin.php:129 Stack trace: #0 /home/devwyndhistory/public_html/application/libraries/Omeka/Plugin/Broker.php(142): NeatlineFeaturesPlugin->hookUpgrade(Array) #1 /home/devwyndhistory/public_html/application/libraries/Omeka/Plugin/Installer.php(95): Omeka_Plugin_Broker->callHook('upgrade', Array, Object(Plugin)) #2 /home/devwyndhistory/public_html/application/controllers/PluginsController.php(231): Omeka_Plugin_Installer->upgrade(Object(Plugin)) #3 /home/devwyndhistory/public_html/application/libraries/Zend/Controller/Action.php(516): PluginsController->upgradeAction() #4 /home/devwyndhistory/public_html/application/libraries/Zend/Controller/Dispatcher/Standard.php(308): Zend_Controller_Action->dispatch('upgradeAct in **/home/devwyndhistory/public_html/plugins/NeatlineFeatures/NeatlineFeaturesPlugin.php** on line **129**

The error i get on trying to upgrade Neatline Time is

Omeka has encountered an error
Zend_Db_Statement_Mysqli_Exception
Mysqli statement execute error : Incorrect datetime value: '0000-00-00 00:00:00' for column 'added' at row 1

Does anyone have some advice for me?